Sign more parts
curl --request POST \
--url https://api.aireserve.com/v1/training/datasets/{datasetId}/uploads/{uploadId}/parts \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"partNumbers": [
5000
]
}
'import requests
url = "https://api.aireserve.com/v1/training/datasets/{datasetId}/uploads/{uploadId}/parts"
payload = { "partNumbers": [5000] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({partNumbers: [5000]})
};
fetch('https://api.aireserve.com/v1/training/datasets/{datasetId}/uploads/{uploadId}/parts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"uploadId": "<string>",
"key": "<string>",
"method": "PUT",
"parts": [
{
"partNumber": 123,
"url": "<string>"
}
],
"expiresAt": "<string>"
}{
"error": {
"message": "<string>",
"type": "invalid_request_error",
"param": null,
"code": "<string>",
"details": {}
}
}{
"error": {
"message": "<string>",
"type": "invalid_request_error",
"param": null,
"code": "<string>",
"details": {}
}
}{
"error": {
"message": "<string>",
"type": "invalid_request_error",
"param": null,
"code": "<string>",
"details": {}
}
}{
"error": {
"message": "<string>",
"type": "invalid_request_error",
"param": null,
"code": "<string>",
"details": {}
}
}Fine-tuning
Sign more parts
Signed UploadPart URLs for up to 1,000 part numbers. Requires compute manage access.
POST
/
v1
/
training
/
datasets
/
{datasetId}
/
uploads
/
{uploadId}
/
parts
Sign more parts
curl --request POST \
--url https://api.aireserve.com/v1/training/datasets/{datasetId}/uploads/{uploadId}/parts \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"partNumbers": [
5000
]
}
'import requests
url = "https://api.aireserve.com/v1/training/datasets/{datasetId}/uploads/{uploadId}/parts"
payload = { "partNumbers": [5000] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({partNumbers: [5000]})
};
fetch('https://api.aireserve.com/v1/training/datasets/{datasetId}/uploads/{uploadId}/parts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"uploadId": "<string>",
"key": "<string>",
"method": "PUT",
"parts": [
{
"partNumber": 123,
"url": "<string>"
}
],
"expiresAt": "<string>"
}{
"error": {
"message": "<string>",
"type": "invalid_request_error",
"param": null,
"code": "<string>",
"details": {}
}
}{
"error": {
"message": "<string>",
"type": "invalid_request_error",
"param": null,
"code": "<string>",
"details": {}
}
}{
"error": {
"message": "<string>",
"type": "invalid_request_error",
"param": null,
"code": "<string>",
"details": {}
}
}{
"error": {
"message": "<string>",
"type": "invalid_request_error",
"param": null,
"code": "<string>",
"details": {}
}
}Authorizations
bearerAuthapiKeyAuth
Your AI Reserve API key (aireserve_api_…) from the API Keys page in the portal (https://portal.aireserve.com/keys).
Body
application/json
Required array length:
1 - 1000 elementsRequired range:
1 <= x <= 10000